com.sun.jna.platform.win32

## Class WinNT.MEMORY_BASIC_INFORMATION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.MEMORY_BASIC_INFORMATION

- Enclosing interface:
    WinNT

      public static class WinNT.MEMORY_BASIC_INFORMATION
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Pointer` | `allocationBase` A pointer to the base address of a range of pages allocated by the VirtualAlloc function.
    `WinDef.DWORD` | `allocationProtect` The memory protection option when the region was initially allocated.
    `Pointer` | `baseAddress` A pointer to the base address of the region of pages.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `WinDef.DWORD` | `protect` The access protection of the pages in the region.
    `BaseTSD.SIZE_T` | `regionSize` The size of the region beginning at the base address in which all pages have identical attributes, in bytes.
    `WinDef.DWORD` | `state` The state of the pages in the region.
    `WinDef.DWORD` | `type` The type of pages in the region.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.MEMORY_BASIC_INFORMATION()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### baseAddress

          public Pointer baseAddress

      A pointer to the base address of the region of pages.

    - #### allocationBase

          public Pointer allocationBase

      A pointer to the base address of a range of pages allocated by the VirtualAlloc function. The page pointed to by the BaseAddress member is contained within this allocation range.

    - #### allocationProtect

          public WinDef.DWORD allocationProtect

      The memory protection option when the region was initially allocated. This member can be one of the memory protection constants or 0 if the caller does not have access.

    - #### regionSize

          public BaseTSD.SIZE_T regionSize

      The size of the region beginning at the base address in which all pages have identical attributes, in bytes.

    - #### state

          public WinDef.DWORD state

      The state of the pages in the region. This member can be one of the following values: MEM_COMMIT, MEM_FREE, MEM_RESERVE.

    - #### protect

          public WinDef.DWORD protect

      The access protection of the pages in the region. This member is one of the values listed for the AllocationProtect member.

    - #### type

          public WinDef.DWORD type

      The type of pages in the region. The following types are defined: MEM_IMAGE MEM_MAPPED MEM_PRIVATE

  - ### Constructor Detail

    - #### WinNT.MEMORY_BASIC_INFORMATION

          public WinNT.MEMORY_BASIC_INFORMATION()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.